﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SplineRender
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            Random r = new Random();
            List<DataPoint> points = new List<DataPoint>();
            for (int i = 0; i < 50; i++)
            {
                if (i < 10)
                    points.Add(new DataPoint { Label = i.ToString(), Value = double.NaN });
                else
                    points.Add(new DataPoint { Label = i.ToString(), Value = r.Next(0, 10) });
            }
            DataContext = points;
        }
    }

    public class DataPoint
    {
        public double Value { get; set; }
        public string Label { get; set; }
    }
}
